fragen stichworte

Fragen markiert [apt]

APT, das Advanced Packaging Tool, ist das übergeordnete Paketverwaltungssystem von Debian. Es wird auch von mehreren anderen Linux- und Debian-basierten Betriebssystemen verwendet.

Lern mehr...
15
stimmen
11
antworten
5k
ansichten
Ist es sicher, apt-get Update jede Nacht auszuführen?
Ist es sicher, apt-get update -y über cron auf einem Produktionsserver auszuführen?
1
stimmen
3
antworten
933
ansichten
UFW - Outbound mit Ausnahme von apt-get Updates verweigern?
Welche Kombination von UFW-Regeln würde alle ausgehenden Verbindungen ablehnen, außer denjenigen, die zur Installation von Ubuntu-Sicherheitsupdates erforderlich sind.
38
stimmen
14
antworten
47k
ansichten
Gibt es eine Möglichkeit, APT dazu zu bringen, Pakete in meinem Home-Verzeichnis zu installieren?
Gibt es eine Möglichkeit, APT zu installieren, um Pakete in meinem Heimatverzeichnis zu installieren? Ich möchte keine systemweiten Änderungen vornehmen.…
2
stimmen
3
antworten
2k
ansichten
Aktualisieren Sie apt gpg key über die Marionette
Der Repository-PGP-Schlüssel für das Marionetten-Repository ist vor einigen Tagen abgelaufen/etc/apt/trusted.gpg.d//puppetlabs-keyring.gpg ---------------------------------------------- pub 4096R/4BD6EC30 2010-07-10 [expired: 2016-07-08] uid Puppet Labs Release…
34
stimmen
2
antworten
15k
ansichten
Kann jemand Ubuntu (Debian) dist-upgrade für mich klären?
Ich habe einen Ubuntu 8.04 LTS-Server. Es gibt mehrere Pakete, die "zurückgehalten" werden ("die folgenden Aktualisierungen wurden zurückgehalten"), wenn ich…
3
stimmen
5
antworten
2k
ansichten
Fehlerhaftes Upgrade von Debian, was Perl-Probleme verursacht
Also habe ich ein Upgrade von Debian durchgeführt, sowohl ein Upgrade als auch ein Dist-Upgrade. Ich bin mehr an Yum…
11
stimmen
3
antworten
9k
ansichten
Wie kann ich apt-get bitten, alle Konfigurationsschritte nach der Installation zu überspringen?
Wenn Sie einige Pakete (wie RabbitMQ) auf Debian/Ubuntu-Computern installieren, wird der Dienst standardmäßig mit dem Schritt post-install gestartet. Dies ist…
1
stimmen
1
antworten
959
ansichten
apt-get von nvidia-Fahrern gemauert
Ich habe meinen Computer aktualisiert, während einige Treiber abgestürzt sind. Nach dem Neustart war mein X-Server defekt und ich habe…
4
stimmen
2
antworten
2k
ansichten
Certbot kann nicht auf Ubuntu 16.04.3 installiert werden
Ich versuche, certbot auf meinem ubuntu 16.04.3 -Server zu installieren. Dieselben Befehle, die mit 16.04.2 funktionieren, werden dies nicht tun.…
8
stimmen
4
antworten
12k
ansichten
apt-get install linux-image-extra erhält "W: mdadm: /etc/mdadm/mdadm.conf definiert keine Arrays."
Bei der Installation:sudo apt-get install \ linux-image-extra-$(uname -r) \ linux-image-extra-virtual Ich bekomme:W: mdadm:/etc/mdadm/mdadm.conf defines no arrays. Ich habe festgestellt, dass…
7
stimmen
3
antworten
6k
ansichten
Debian: Wie verwende ich "apt-get install", ohne Abhängigkeiten zu aktualisieren?
Ich habe bereits ein Paket B und möchte ein neues Paket A installieren. Die Installation möchte B ändern, aber ich…
12
stimmen
2
antworten
11k
ansichten
Die aktuelle Version der Konfigurationsdateien wird bei der Installation von apt-get automatisch beibehalten
Ich muss automatisch ein Paket installieren, dessen Konfigurationsdatei bereits auf dem Server vorhanden ist. Ich suche nach etwas wie: apt-get…
1
stimmen
1
antworten
14k
ansichten
So legen Sie die Proxy-Konfiguration fest
Nachfolgend finden Sie die Anweisungen, die ich zum Einrichten von Cloudera befolgen muss. Ich bin verwirrt über die unten auf…
apt
0
stimmen
1
antworten
7k
ansichten
"php5-fpm: nicht erkannter Dienst" und andere Probleme nach dem Zurücksetzen von PPA
Fügte ein Repository hinzu, sodass ich in Ubuntu 12.04.3 LTS problemlos von PHP 5.3 auf 5.5 wechseln konnte. Nachdem Sie…
23
stimmen
2
antworten
37k
ansichten
yum entspricht apt-get upgrade vs apt-get dist-upgrade?
Ich bin ein * .deb-Typ und fühle mich beim Verwalten von RPMs ziemlich unwohl. Ich bin es gewohnt, apt-get upgrade…
1
stimmen
1
antworten
6k
ansichten
Wie installiere ich php 5.2.10 auf Ubuntu 10.04?
Possible Duplicate: PHP 5.2x on Ubuntu 10.04 Lucid Lynx Ich bin dabei, einen neuen Ubuntu-Server einzurichten, aber es wird eine…
1
stimmen
2
antworten
3k
ansichten
Das Upgrade des Linux-Headers-Servers und des Linux-Image-Servers schlägt fehl
apt-get upgrade sagte mir, dass die Pakete linux-headers-server linux-image-server zurückgehalten wurden, und so diese Antwort dazu führte, dass apt-get install…
4
stimmen
1
antworten
1k
ansichten
apt-get install -t test-appX VS apt-get install-appX / testing
Ich habe versucht, den Unterschied zwischen diesen beiden Befehlen zu verstehen, und habe festgestellt, dass ich unterschiedliche Ergebnisse bekomme.apt-get install…
1
stimmen
1
antworten
1k
ansichten
MySQL kann nicht installiert werden
Ich würde gerne glauben, dass ich weiß, was ich in einer Unix-Shell mache, aber vielleicht nicht. Ich habe einen Fehler…
2
stimmen
4
antworten
1k
ansichten
Warum erstellt die Installation des mysql-server-Pakets kein Root-Konto?
Es ist nicht das Warum?, das zählt. Es ist das Wie kann ich das selbst machen? Ich verwende den Ubuntu…
1
stimmen
3
antworten
1k
ansichten
Ubuntu 8.04 (Hardy): Wie automatisch apt-get / aptitude Upgrade-Pakete für Fehler / Sicherheit?
Ich habe ein Labor mit Workstations, auf denen Ubuntu 8.04 (Hardy Heron) läuft. Meine Vorgänger haben ein hässliches bisschen cron-Skript…
0
stimmen
3
antworten
5k
ansichten
Warum erhalte ich einen Initscript-Fehler, wenn Sie Samba mit apt-get installieren?
Ich versuche dieses Problem zu lösen ... Warum startet der Samba-Server nicht mit dem PANIC-Fehler? ... durch Neuinstallation von Samba,…
43
stimmen
2
antworten
61k
ansichten
Die Ubuntu Server-Meldung besagt, dass Pakete aktualisiert werden können, apt-get jedoch keine
Possible Duplicate: updates in amazon-ec2 ubuntu 10.04 server Wenn ich mich bei einem Ubuntu 10.04.2 LTS-Server anmelde, wird folgende Meldung…
3
stimmen
2
antworten
4k
ansichten
Warum erhalte ich einen GPG-Fehler, wenn Sie apt-update für Lenny-Backports ausführen?
Okay, ich versuche also, ein Upgrade auf Lenny-Backports durchzuführen (wenn Sie es so nennen könnten), wie hier, aber beim Ausführen…
2
stimmen
4
antworten
6k
ansichten
ufw blockiert apt
Ich habe das gleiche Problem wie hier beschrieben, aber die angegebene Lösung funktioniert nicht für mich: ufw blockiert apt und…
2
stimmen
2
antworten
1k
ansichten
Ich kann apache2 nicht loswerden
Es ist offensichtlich, dass ich ein Neuling in der Serververwaltung bin. Mein Ziel ist es, das Wissen zu erlangen, das…
7
stimmen
6
antworten
3k
ansichten
Debian kann nicht dazu gezwungen werden, eine unbeaufsichtigte Installation durchzuführen ... libc6 möchte interaktiv bestätigen
Ich versuche, ein Skript zu erstellen, das eine Installation von Debian Lenny zur Installation der neuesten Version von CRAN R…
2
stimmen
1
antworten
6k
ansichten
apt-get on aws installiert zip nicht
Ich verwende Ubuntu 12.10 (GNU/Linux 3.5.0-21-generic i686) auf AWS. Wenn ich unzip versuche, zu installieren, erhalte ich folgende Fehler:sudo apt-get…
1
stimmen
1
antworten
1k
ansichten
GPG hat treffend das Repository signiert, das nicht wie erwartet funktioniert
Wir hosten einige unserer eigenen Softwarepakete als Debs in einem eigenen Repository. Für Prototyping-Zwecke haben wir "nicht authentifiziert" ausgeführt. Jetzt…
55
stimmen
1
antworten
31k
ansichten
Was bedeutet "debconf: Verzögerung der Paketkonfiguration, da apt-utils nicht installiert ist"?
Ich habe gerade Debian installiert und gerade mit apt-get instal einige Pakete installiert, als ich diese Nachricht sah:debconf: delaying package…
1
stimmen
1
antworten
1k
ansichten
Beim Update auf Ubuntu bekomme ich: Ungültigen 'Date'-Eintrag in Release
Wenn ich das mache:apt-get update -qq -y Ich erhalte folgende Fehlermeldung:W: Invalid 'Date' entry in Release file/var/lib/apt/lists/osquery-packages.s3.amazonaws.com_xenial_dists_xenial_Release Details zum Betriebssystem:…
0
stimmen
1
antworten
1k
ansichten
APT / DPKG ist defekt - mysql-server-core-5.5 kann nicht entfernt werden
Ich möchte alle Pakete, die sich auf MySQL auf meinem Server beziehen, vollständig entfernen. Aber ich scheine diese Aufgabe nicht…
18
stimmen
3
antworten
1k
ansichten
Cluster von Linux-Computern hinter Firewalls verwalten
Das Produkt meines Unternehmens ist im Wesentlichen eine Linux-Box (Ubuntu), die sich in einem fremden Netzwerk befindet und unsere Software…
14
stimmen
3
antworten
1k
ansichten
So installieren Sie zwei Pakete, die dieselbe Datei schreiben
Ich habe zwei Pakete, die jeweils/usr/bin/ffprobe erstellen. Einer davon ist ffmpeg aus dem Deb Multimedia-Repository, während der andere aus Quellcode…
1
stimmen
1
antworten
1k
ansichten
Paketproblem mit Ubuntu 10.10 und Passagieranforderungen
Ich versuche, Passenger mit Ubuntu 10.10 (Maverick Meerkat) zum Laufen zu bringen, und ich habe ein Problem. Es scheint, dass…